Skip to main content
GET
Get a job description

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Job description retrieved successfully

jobDescriptionId
string
required

Unique identifier of the job description

Minimum string length: 1
Example:

"550e8400-e29b-41d4-a716-446655440000"

vacancyId
string
required
language
enum<string>
required

The language of this job description

Available options:
en-US,
en-GB,
es,
nl,
fr,
de,
hu,
cs,
pt,
no,
sv,
da,
fi,
pl,
ro,
it,
af,
cy,
ja
format
enum<string>
required

The content format of this job description. FREEFORM stores a single HTML body; STRUCTURED stores separate blocks whose derived HTML is exposed on content.

Available options:
FREEFORM,
STRUCTURED
externalJobTitle
string
required

The externally visible job title for this job

Example:

"Senior Software Engineer"

content
string | null
required

The HTML content of the job description, or null if no content has been set. For STRUCTURED job descriptions this is the derived HTML projection of the blocks.

Example:

"<p>We are looking for a senior software engineer...</p>"

requirements
string | null
required

The Requirements block HTML for STRUCTURED job descriptions; null for FREEFORM job descriptions.

description
string | null
required

The Description block HTML for STRUCTURED job descriptions; null for FREEFORM job descriptions.

compensation
string | null
required

The Compensation block HTML for STRUCTURED job descriptions; null for FREEFORM job descriptions.